import { StyleSheet } from 'react-native'
import {
  windowHeight,
  fontSizes,
  windowWidth,
} from '../../../theme/appConstant'
import appColors from '../../../theme/appColors'
import appFonts from '../../../theme/appFonts'

const styles = StyleSheet.create({
  main: {
    flex: 1,
  },
  buttonView: {
    position: 'absolute',
    bottom: windowHeight(0),
    left: windowHeight(0),
    right: windowHeight(0),
    paddingVertical: windowHeight(3),
  },
  closeBtn: {
    justifyContent: 'flex-end',
    width: '100%',
  },
  modalContainer: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: appColors.modelBg,
  },
  modalContent: {
    width: '90%',
    padding: windowHeight(2),
    backgroundColor: appColors.white,
    borderRadius: windowHeight(1.3),
    alignItems: 'center',
  },
  modalText: {
    fontSize: fontSizes.FONT4HALF,
    marginBottom: windowHeight(4),
    color: appColors.primaryFont,
    fontFamily: appFonts.medium,
    textAlign: 'center',
    marginTop: windowHeight(0.3),
    width: '80%',
  },
  closeButton: {
    width: '98%',
    marginTop: windowHeight(3),
    marginBottom: windowHeight(0.8),
  },
  buttonText: {
    color: appColors.white,
    fontSize: 16,
  },
  otpTitle: {
    color: appColors.primaryFont,
    fontFamily: appFonts.medium,
    width: '100%',
    marginBottom: windowHeight(1),
    left: windowHeight(0.5),
  },
  otpContainer: {
    justifyContent: 'space-between',
    width: '100%',
  },
  otpInput: {
    width: windowWidth(13),
    height: windowHeight(6.5),
    borderWidth: windowHeight(0.1),
    borderRadius: windowHeight(1.1),
  },
  bottomView: { marginBottom: 80 },
  refreshView: {
    backgroundColor: appColors.primary,
    alignItems: 'center',
    justifyContent: 'center',
    width: windowWidth(22),
    paddingVertical: windowHeight(1),
    borderRadius: windowHeight(0.6),
    marginTop: windowHeight(2),
  },
  refreshText: {
    fontFamily: appFonts.regular,
    color: appColors.white,
  },
  completedPaymentText: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    textAlign: 'center',
  },
  completedPaymentView: {
    borderRadius: windowHeight(0.6),
    alignItems: 'center',
    justifyContent: 'center',
    height: windowHeight(18),
    marginVertical: windowHeight(2),
    width: '100%',
    paddingVertical: windowHeight(1),
    paddingHorizontal: windowWidth(3),
    borderWidth: windowHeight(0.1),
  },
  pendingView: {
    marginHorizontal: windowWidth(4),
  },
  billView: {
    width: '100%',
    justifyContent: 'space-between',
    marginBottom: windowHeight(0.9),
    marginTop: windowHeight(1.5),
  },
  billBorder: {
    width: '100%',
    borderStyle: 'dashed',
    height: windowHeight(0.25),
    marginVertical: windowHeight(1),
  },
  text: {
    fontFamily: appFonts.regular,
    color: appColors.iconColor,
    fontSize: fontSizes.FONT3HALF1,
  },
  platformContainer: {
    width: '100%',
    justifyContent: 'space-between',
    marginTop: windowHeight(1.5),
  },
  rideText: {
    marginTop: windowHeight(1),
    fontFamily: appFonts.bold,
    fontSize: fontSizes.FONT4,
  },
  completedMainView: {
    marginTop: windowHeight(2),
  },
  billMainView: {
    marginHorizontal: windowWidth(4),
  },
  viewBill: {
    width: '100%',
    paddingVertical: windowHeight(1),
    paddingHorizontal: windowWidth(4),
    borderWidth: windowWidth(0.35),
    borderRadius: windowWidth(5),
    marginBottom: windowHeight(2),
  },
  title: {
    fontSize: fontSizes.FONT4HALF,
    fontFamily: appFonts.semiBold,
  },
  container: {
    height: windowHeight(6.5),
    borderColor: appColors.border,
    borderRadius: windowHeight(25),
    justifyContent: 'space-between',
    paddingHorizontal: windowWidth(3),
  },
  starIcon: {
    marginHorizontal: windowWidth(1.5),
    alignItems: 'center',
    justifyContent: 'center',
  },
  ratingView: {
    alignItems: 'center',
    marginHorizontal: windowWidth(2),
    justifyContent: 'center',
  },
  borderVertical: {
    borderColor: appColors.border,
    borderRightWidth: windowHeight(0.1),
    height: windowHeight(2.5),
    marginHorizontal: windowWidth(1.3),
  },
  rating: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT4HALF,
  },
  border: {
    borderBottomWidth: windowHeight(0.1),
    borderStyle: 'dashed',
    width: '100%',
  },
  message: {
    fontSize: fontSizes.FONT3HALF1,
    fontFamily: appFonts.semiBold,
    marginVertical: windowHeight(4.4),
    top: windowHeight(0.5),
  },
  input: {
    borderRadius: windowHeight(2),
    height: windowHeight(9.8),
    textAlignVertical: 'top',
    borderWidth: windowWidth(0.35),
    paddingHorizontal: windowHeight(2),
    bottom: windowHeight(2),
  },
  contentContainer: {
    marginHorizontal: windowWidth(5),
  },
  gap: {
    gap: windowHeight(11),
  },
  rideData: {
    marginVertical: windowHeight(1.2),
  },
  carIdView: {
    alignItems: 'center',
  },
  idNo: {
    fontFamily: appFonts.medium,
  },
  carImage: {
    height: windowHeight(5.5),
    width: windowWidth(10.5),
    resizeMode: 'contain',
  },
  date: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    marginHorizontal: windowWidth(1),
  },
  paymentType: {
    fontFamily: appFonts.regular,
    marginHorizontal: windowWidth(0.8),
  },
  gst: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    marginHorizontal: windowWidth(0.8),
    fontSize: fontSizes.FONT3HALF,
    marginVertical: windowHeight(0.5),
  },
  amount: {
    color: appColors.primary,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT4HALF,
  },
  mapView: {
    height: windowHeight(12),
    width: '100%',
    justifyContent: 'space-between',
    alignItems: 'center',
    paddingHorizontal: windowWidth(3),
    marginVertical: windowHeight(1.2),
  },
  mapImage: {
    height: windowHeight(12.8),
    width: '100%',
    borderRadius: windowHeight(0.9),
  },
  addressView: {
    marginHorizontal: windowWidth(4),
  },
  iconView: {
    alignItems: 'center',
    marginTop: windowHeight(1),
    marginHorizontal: windowWidth(3),
  },
  viewIcon: { alignItems: 'center', justifyContent: 'center' },
  tripCostText: {
    fontFamily: appFonts.medium,
    fontSize: windowWidth(4.2),
    color: appColors.price,
  },
  tripTextContainer: {
    paddingHorizontal: windowHeight(1.4),
  },
  width: {
    width: '100%',
    alignSelf: 'center',
    borderRadius: windowWidth(5),
    marginTop: windowHeight(1),
  },
  image: {
    height: windowHeight(6.5),
    width: windowHeight(7.5),
    resizeMode: 'contain',
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: windowWidth(2.5),
  },
  category: {
    height: windowHeight(3.5),
    paddingHorizontal: windowWidth(3),
    backgroundColor: appColors.approvBg,
    borderRadius: windowHeight(25),
    alignItems: 'center',
    justifyContent: 'center',
    marginHorizontal: windowWidth(2),
  },
  category1: {
    height: windowHeight(3.5),
    paddingHorizontal: windowWidth(4),
    backgroundColor: appColors.approvBg,
    borderRadius: windowHeight(25),
    alignItems: 'center',
    justifyContent: 'center',
  },
  line: {
    height: windowHeight(1.5),
    width: windowWidth(0.35),
    backgroundColor: appColors.iconColor,
  },
  dashLine: {
    width: '120%',
    height: windowHeight(0.6),
    alignSelf: 'center',
    marginVertical: windowHeight(1),
  },
  rateview: {
    paddingHorizontal: windowWidth(4),
    borderRadius: windowWidth(5),
    borderWidth: windowWidth(0.25),
    marginTop: windowHeight(1),
    paddingVertical: windowHeight(2),
  },
  boldLine: {
    height: windowHeight(0.6),
    width: '120%',
    marginVertical: windowHeight(2),
    alignSelf: 'center',
  },
  round: {
    height: windowHeight(8),
    width: windowHeight(8),
    borderRadius: windowHeight(8),
    alignSelf: 'center',
    marginTop: windowHeight(2),
    alignItems: 'center',
    justifyContent: 'center',
  },
})
export default styles
